package com.braintree.command.request;


import de.hybris.platform.payment.dto.BillingInfo;

public class BrainTreeUpdateCreditCardRequest extends BrainTreeAbstractRequest {

    private String token;
    private String cvvNonce;
    private BillingInfo billingInfo;
    private BrainTreeOptionsRequest  options;

    public BrainTreeUpdateCreditCardRequest(final String merchantTransactionCode) {
        super(merchantTransactionCode);
    }

    public String getToken() {
        return token;
    }

    public void setToken(final String token) {
        this.token = token;
    }

    public BillingInfo getBillingInfo() {
        return billingInfo;
    }

    public void setBillingInfo(BillingInfo billingInfo) {
        this.billingInfo = billingInfo;
    }

    public String getCvvNonce() {
        return cvvNonce;
    }

    public void setCvvNonce(String cvvNonce) {
        this.cvvNonce = cvvNonce;
    }

    public BrainTreeOptionsRequest getOptions() {
        return options;
    }

    public void setOptions(BrainTreeOptionsRequest options) {
        this.options = options;
    }
}
